/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.abricot.client.gui;

import java.awt.BorderLayout;
import java.math.BigDecimal;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.abricot.client.eof.modele.EOVAbricotDepensePi;
import org.cocktail.abricot.client.eof.modele.EOVAbricotPrestationsInternes;
import org.cocktail.abricot.client.eof.modele.EOVAbricotRecettePi;
import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.client.common.swing.TableSorter;
import org.cocktail.client.common.swing.ZEOTable;
import org.cocktail.client.common.swing.ZEOTableModel;
import org.cocktail.client.common.swing.ZEOTableModelColumn;
import org.cocktail.client.common.utilities.CocktailConstantes;
import org.cocktail.client.common.utilities.CocktailFormats;
import org.cocktail.client.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class PrestationInterneView extends javax.swing.JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	protected EODisplayGroup  eodDepenses, eodSelection;
	protected ZEOTable myEOTableDepenses, myEOTableSelection;
	protected ZEOTableModel myTableModelDepenses, myTableModelSelection;
	protected TableSorter myTableSorterDepenses, myTableSorterSelection;

	/** Creates new form AffichageBSView */
	public PrestationInterneView(java.awt.Frame parent, boolean modal, EODisplayGroup dgDepenses, EODisplayGroup dgSelection) {
		//super(parent, modal);

		eodDepenses = dgDepenses;
		eodSelection = dgSelection;

		initComponents();

		initGui();
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        tfFiltreClient = new javax.swing.JTextField();
        btnRefresh = new javax.swing.JButton();
        jLabel5 = new javax.swing.JLabel();
        tfFiltreDepense = new javax.swing.JTextField();
        btnFermer = new javax.swing.JButton();
        tfTitre = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        viewTableDepenses = new javax.swing.JPanel();
        btnCleanSelection = new javax.swing.JButton();
        btnCreerBordereau = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        btnPrint = new javax.swing.JButton();
        btnSelectDepense = new javax.swing.JButton();
        tfFiltreRecette = new javax.swing.JTextField();
        btnDeselectDepense = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        viewTableSelection = new javax.swing.JPanel();
        lblSelection = new javax.swing.JLabel();
        lblDepenses = new javax.swing.JLabel();
        tfFiltreFournisseur = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        tfFiltreClient.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFiltreClientActionPerformed(evt);
            }
        });

        btnRefresh.setText("Rafraîchir");
        btnRefresh.setToolTipText("Rafraichir la liste des dépenses");

        jLabel5.setForeground(new java.awt.Color(51, 51, 51));
        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Client ?");

        tfFiltreDepense.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFiltreDepenseActionPerformed(evt);
            }
        });

        btnFermer.setText("Fermer");
        btnFermer.setToolTipText("Fermer la fenêtre");

        tfTitre.setBackground(new java.awt.Color(102, 255, 0));
        tfTitre.setEditable(false);
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("PRESTATIONS INTERNES");
        tfTitre.setFocusable(false);

        jLabel2.setText("Dépenses en ATTENTE :");

        viewTableDepenses.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableDepenses.setLayout(new java.awt.BorderLayout());

        btnCleanSelection.setToolTipText("Vider la sélection");
        btnCleanSelection.setBorderPainted(false);
        btnCleanSelection.setFocusPainted(false);
        btnCleanSelection.setFocusable(false);

        btnCreerBordereau.setText("Créer Bordereau");
        btnCreerBordereau.setToolTipText("Fermer la fenêtre");

        jLabel3.setForeground(new java.awt.Color(51, 51, 51));
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Rec ?");

        btnPrint.setText("Imprimer");
        btnPrint.setToolTipText("Fermer la fenêtre");

        btnSelectDepense.setText("Ajouter");
        btnSelectDepense.setToolTipText("Ajout des dépenses sélectionnées");
        btnSelectDepense.setBorderPainted(false);
        btnSelectDepense.setFocusPainted(false);
        btnSelectDepense.setFocusable(false);

        tfFiltreRecette.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFiltreRecetteActionPerformed(evt);
            }
        });

        btnDeselectDepense.setText("Retirer");
        btnDeselectDepense.setToolTipText("Suppression des dépenses ajoutées");
        btnDeselectDepense.setBorderPainted(false);
        btnDeselectDepense.setFocusPainted(false);
        btnDeselectDepense.setFocusable(false);

        jLabel4.setForeground(new java.awt.Color(51, 51, 51));
        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Dép ?");

        viewTableSelection.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableSelection.setLayout(new java.awt.BorderLayout());

        lblSelection.setFont(new java.awt.Font("Tahoma", 0, 14));
        lblSelection.setForeground(new java.awt.Color(0, 51, 255));
        lblSelection.setText("7 Dépenses - 10595,56€");

        lblDepenses.setBackground(new java.awt.Color(0, 204, 204));
        lblDepenses.setFont(new java.awt.Font("Tahoma", 0, 14));
        lblDepenses.setForeground(new java.awt.Color(51, 51, 255));
        lblDepenses.setText("7 Dépenses - 10595,56€");

        tfFiltreFournisseur.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFiltreFournisseurActionPerformed(evt);
            }
        });

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Fournisseur ?");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 976, Short.MAX_VALUE)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(lblDepenses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 170, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(796, Short.MAX_VALUE))
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 166, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(10, 10, 10)
                                .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 35, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreRecette, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 35, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreDepense, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(tfFiltreClient, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 100, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreFournisseur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 100, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 53, Short.MAX_VALUE)
                                .add(btnRefresh, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 110, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(viewTableDepenses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 948, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(btnCleanSelection, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnSelectDepense, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 98, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDeselectDepense, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(viewTableSelection, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 948, Short.MAX_VALUE))
                        .add(18, 18, 18))
                    .add(layout.createSequentialGroup()
                        .add(lblSelection, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 176, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 342, Short.MAX_VALUE)
                        .add(btnPrint, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 149, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnCreerBordereau, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 149, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 110, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(28, 28, 28))))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(19, 19, 19)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel5)
                            .add(jLabel3)
                            .add(tfFiltreRecette, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel4)
                            .add(tfFiltreDepense, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfFiltreFournisseur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel6)
                            .add(tfFiltreClient, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnRefresh, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableDepenses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 255, Short.MAX_VALUE)
                .add(11, 11, 11)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(lblDepenses)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(btnSelectDepense, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnDeselectDepense, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnCleanSelection, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(18, 18, 18)
                .add(viewTableSelection, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 192, Short.MAX_VALUE)
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(lblSelection)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                        .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, Short.MAX_VALUE)
                        .add(btnCreerBordereau, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, Short.MAX_VALUE)
                        .add(btnPrint, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(22, 22, 22))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-992)/2, (screenSize.height-670)/2, 992, 670);
    }// </editor-fold>//GEN-END:initComponents

	private void tfFiltreClientActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFiltreClientActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfFiltreClientActionPerformed

	private void tfFiltreDepenseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFiltreDepenseActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfFiltreDepenseActionPerformed

	private void tfFiltreRecetteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFiltreRecetteActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfFiltreRecetteActionPerformed

	private void tfFiltreFournisseurActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFiltreFournisseurActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfFiltreFournisseurActionPerformed



	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[]) {
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				MandatView dialog = new MandatView(new javax.swing.JFrame(), true, null, null, null);
				dialog.addWindowListener(new java.awt.event.WindowAdapter() {
					public void windowClosing(java.awt.event.WindowEvent e) {
						System.exit(0);
					}
				});
				dialog.setVisible(true);
			}
		});
	}

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnCleanSelection;
    private javax.swing.JButton btnCreerBordereau;
    private javax.swing.JButton btnDeselectDepense;
    private javax.swing.JButton btnFermer;
    private javax.swing.JButton btnPrint;
    private javax.swing.JButton btnRefresh;
    private javax.swing.JButton btnSelectDepense;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel lblDepenses;
    private javax.swing.JLabel lblSelection;
    private javax.swing.JTextField tfFiltreClient;
    private javax.swing.JTextField tfFiltreDepense;
    private javax.swing.JTextField tfFiltreFournisseur;
    private javax.swing.JTextField tfFiltreRecette;
    private javax.swing.JTextField tfTitre;
    protected javax.swing.JPanel viewTableDepenses;
    protected javax.swing.JPanel viewTableSelection;
    // End of variables declaration//GEN-END:variables

	/*
	 * (non-Javadoc)
	 * 
	 * @see fr.univlr.karukera.client.ZKarukeraPanel#initGUI()
	 */
	private void initGui() {

		btnFermer.setIcon(CocktailIcones.ICON_CLOSE);

		btnRefresh.setIcon(CocktailIcones.ICON_REFRESH_22);

		btnCleanSelection.setIcon(CocktailIcones.ICON_TRASH);

		btnSelectDepense.setIcon(CocktailIcones.ICON_ADD);
		btnDeselectDepense.setIcon(CocktailIcones.ICON_DELETE);

		btnPrint.setIcon(CocktailIcones.ICON_PRINTER_16);

		btnCreerBordereau.setIcon(CocktailIcones.ICON_ADD);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodDepenses, 
				EOVAbricotPrestationsInternes.V_ABRICOT_RECETTE_PI_KEY+"."+EOVAbricotRecettePi.ADR_NOM_KEY, "Client", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses,
				EOVAbricotPrestationsInternes.V_ABRICOT_DEPENSE_PI_KEY+"."+EOVAbricotDepensePi.ADR_NOM_KEY, "Fournisseur", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, 
				EOVAbricotPrestationsInternes.V_ABRICOT_RECETTE_PI_KEY+"."+EOVAbricotRecettePi.ORGAN_KEY + "."+EOOrgan.ORG_UB_KEY, "UB Rec", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, 
				EOVAbricotPrestationsInternes.V_ABRICOT_DEPENSE_PI_KEY+"."+EOVAbricotDepensePi.ORGAN_KEY + "."+EOOrgan.ORG_UB_KEY, "UB Dép", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, 
				EOVAbricotPrestationsInternes.V_ABRICOT_RECETTE_PI_KEY+"."+EOVAbricotRecettePi.PCO_NUM_KEY, "Compte Rec", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, 
				EOVAbricotPrestationsInternes.V_ABRICOT_DEPENSE_PI_KEY+"."+EOVAbricotDepensePi.PCO_NUM_KEY, "Compte Dép", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, 
				EOVAbricotPrestationsInternes.V_ABRICOT_RECETTE_PI_KEY+"."+EOVAbricotRecettePi.RPCO_HT_SAISIE_KEY, "Montant Rec", 50);
		col.setAlignment(SwingConstants.RIGHT);
		col.setColumnClass(BigDecimal.class);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, 
				EOVAbricotPrestationsInternes.V_ABRICOT_DEPENSE_PI_KEY+"."+EOVAbricotDepensePi.DPCO_HT_SAISIE_KEY, "Montant Dép", 50);
		col.setAlignment(SwingConstants.RIGHT);
		col.setColumnClass(BigDecimal.class);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);


		myTableModelDepenses= new ZEOTableModel(eodDepenses, myCols);
		myTableSorterDepenses = new TableSorter(myTableModelDepenses);

		myEOTableDepenses = new ZEOTable(myTableSorterDepenses);
		myTableSorterDepenses.setTableHeader(myEOTableDepenses.getTableHeader());		

		myEOTableDepenses.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableDepenses.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableDepenses.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);		

		viewTableDepenses.setBorder(BorderFactory.createEmptyBorder());
		viewTableDepenses.removeAll();
		viewTableDepenses.setLayout(new BorderLayout());
		viewTableDepenses.add(new JScrollPane(myEOTableDepenses), BorderLayout.CENTER);



		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodSelection, 
				EOVAbricotPrestationsInternes.V_ABRICOT_RECETTE_PI_KEY+"."+EOVAbricotRecettePi.ADR_NOM_KEY, "Client", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection,
				EOVAbricotPrestationsInternes.V_ABRICOT_DEPENSE_PI_KEY+"."+EOVAbricotDepensePi.ADR_NOM_KEY, "Fournisseur", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection, 
				EOVAbricotPrestationsInternes.V_ABRICOT_RECETTE_PI_KEY+"."+EOVAbricotRecettePi.ORGAN_KEY + "."+EOOrgan.ORG_UB_KEY, "UB Rec", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection, 
				EOVAbricotPrestationsInternes.V_ABRICOT_DEPENSE_PI_KEY+"."+EOVAbricotDepensePi.ORGAN_KEY + "."+EOOrgan.ORG_UB_KEY, "UB Dép", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection, 
				EOVAbricotPrestationsInternes.V_ABRICOT_RECETTE_PI_KEY+"."+EOVAbricotRecettePi.PCO_NUM_KEY, "Compte Rec", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection, 
				EOVAbricotPrestationsInternes.V_ABRICOT_DEPENSE_PI_KEY+"."+EOVAbricotDepensePi.PCO_NUM_KEY, "Compte Dép", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection, 
				EOVAbricotPrestationsInternes.V_ABRICOT_RECETTE_PI_KEY+"."+EOVAbricotRecettePi.RPCO_HT_SAISIE_KEY, "Montant Rec", 50);
		col.setAlignment(SwingConstants.RIGHT);
		col.setColumnClass(BigDecimal.class);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection, 
				EOVAbricotPrestationsInternes.V_ABRICOT_DEPENSE_PI_KEY+"."+EOVAbricotDepensePi.DPCO_HT_SAISIE_KEY, "Montant Dép", 50);
		col.setAlignment(SwingConstants.RIGHT);
		col.setColumnClass(BigDecimal.class);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);

		myTableModelSelection= new ZEOTableModel(eodSelection, myCols);
		myTableSorterSelection = new TableSorter(myTableModelSelection);

		myEOTableSelection = new ZEOTable(myTableSorterSelection);
		myTableSorterSelection.setTableHeader(myEOTableSelection.getTableHeader());		

		myEOTableSelection.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableSelection.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableSelection.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);		

		viewTableSelection.setBorder(BorderFactory.createEmptyBorder());
		viewTableSelection.removeAll();
		viewTableSelection.setLayout(new BorderLayout());
		viewTableSelection.add(new JScrollPane(myEOTableSelection), BorderLayout.CENTER);
	}

	public ZEOTableModel getMyTableModelDepenses() {
		return myTableModelDepenses;
	}

	public void setMyTableModelDepenses(ZEOTableModel myTableModelDepenses) {
		this.myTableModelDepenses = myTableModelDepenses;
	}

	public ZEOTable getMyEOTableDepenses() {
		return myEOTableDepenses;
	}

	public void setMyEOTableDepenses(ZEOTable myEOTableDepenses) {
		this.myEOTableDepenses = myEOTableDepenses;
	}

	public ZEOTable getMyEOTableSelection() {
		return myEOTableSelection;
	}

	public javax.swing.JLabel getLblDepenses() {
		return lblDepenses;
	}

	public void setLblDepenses(javax.swing.JLabel lblDepenses) {
		this.lblDepenses = lblDepenses;
	}

	public javax.swing.JLabel getLblSelection() {
		return lblSelection;
	}

	public ZEOTableModel getMyTableModelSelection() {
		return myTableModelSelection;
	}

	public void setMyTableModelSelection(ZEOTableModel myTableModelSelection) {
		this.myTableModelSelection = myTableModelSelection;
	}

	public void setLblSelection(javax.swing.JLabel lblSelection) {
		this.lblSelection = lblSelection;
	}

	public void setMyEOTableSelection(ZEOTable myEOTableSelection) {
		this.myEOTableSelection = myEOTableSelection;
	}

	public javax.swing.JButton getBtnCleanSelection() {
		return btnCleanSelection;
	}

	public void setBtnCleanSelection(javax.swing.JButton btnCleanSelection) {
		this.btnCleanSelection = btnCleanSelection;
	}

	public javax.swing.JButton getBtnDeselectDepense() {
		return btnDeselectDepense;
	}

	public void setBtnDeselectDepense(javax.swing.JButton btnDeselectDepense) {
		this.btnDeselectDepense = btnDeselectDepense;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JButton getBtnRefresh() {
		return btnRefresh;
	}

	public void setBtnRefresh(javax.swing.JButton btnRefresh) {
		this.btnRefresh = btnRefresh;
	}

	public javax.swing.JButton getBtnSelectDepense() {
		return btnSelectDepense;
	}

	public void setBtnSelectDepense(javax.swing.JButton btnSelectDepense) {
		this.btnSelectDepense = btnSelectDepense;
	}

	public javax.swing.JButton getBtnCreerBordereau() {
		return btnCreerBordereau;
	}

	public void setBtnCreerBordereau(javax.swing.JButton btnCreerBordereau) {
		this.btnCreerBordereau = btnCreerBordereau;
	}

	public javax.swing.JButton getBtnPrint() {
		return btnPrint;
	}

	public void setBtnPrint(javax.swing.JButton btnPrint) {
		this.btnPrint = btnPrint;
	}

	public javax.swing.JTextField getTfFiltreClient() {
		return tfFiltreClient;
	}

	public void setTfFiltreClient(javax.swing.JTextField tfFiltreClient) {
		this.tfFiltreClient = tfFiltreClient;
	}



	public javax.swing.JTextField getTfFiltreDepense() {
		return tfFiltreDepense;
	}

	public void setTfFiltreDepense(javax.swing.JTextField tfFiltreDepense) {
		this.tfFiltreDepense = tfFiltreDepense;
	}

	public javax.swing.JTextField getTfFiltreFournisseur() {
		return tfFiltreFournisseur;
	}

	public void setTfFiltreFournisseur(javax.swing.JTextField tfFiltreFournisseur) {
		this.tfFiltreFournisseur = tfFiltreFournisseur;
	}

	public javax.swing.JTextField getTfFiltreRecette() {
		return tfFiltreRecette;
	}

	public void setTfFiltreRecette(javax.swing.JTextField tfFiltreRecette) {
		this.tfFiltreRecette = tfFiltreRecette;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}



}
